1. kexidbtest
-------------

This is a set of tests for the new, common KexiDB API.
Every test is driver-independent.

Usage: run 'kexidbtest --help' for usage details.


2. sqltest
----------

Script for easier executing 'parser' subtest within kexidbtest.

Usage: run './sqltest' without arguments for usage details.


3. Important documents
----------------------
-Kexi API Documentation in html
http://koffice.org/developer/apidocs/kexi/html

-KexiDB Drivers section of KexiWiki Web Page
http://www.kexi-project.org/wiki/wikiview/index.php?KexiDBDrivers



4. Information for KexiDB drivers developers
--------------------------------------------

While you're developing new driver or improving existing one,
you may want to test a number of aspects to see if the behaviour 
looks like expected.

Following tests should be passed (the order is from most simple 
test to more complicated):

-dbcreation
-schema
-tables
-cursors
-tableview
-parser
-dr_prop

If the given driver does not pass one of these tests, and you have found:
- that the problem is at the KexiDB library side (e.g. crash, or improper
behaviour), or
- that the problem can be solved by extending KexiDB API, or
- that the documentation is not correct or not enough detailed, or
- whatever like that,

..please contact:

KexiDB maintainer
Jaroslaw Staniek, js @ iidea . pl, irc://irc.freenode.net #kexi

